メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.qoder.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /v1/memory_stores 現在のアカウント配下のすべての Memory Store 一覧を取得します。ページネーションをサポートします。

ヘッダー

ヘッダー必須
AuthorizationBearer $QODER_PATはい

クエリパラメータ

パラメータ必須説明
limitintegerいいえ1 ページあたりの返却件数上限
after_idstringいいえカーソルページネーション:この ID 以降のレコードを返す

リクエスト例

# すべてを取得
curl -X GET "https://openapi.qoder.sh/api/v1/cloud/memory_stores" \
  -H "Authorization: Bearer $QODER_PAT"

# ページネーションで取得
curl -X GET "https://openapi.qoder.sh/api/v1/cloud/memory_stores?limit=10&after_id=memstore_xxx" \
  -H "Authorization: Bearer $QODER_PAT"

レスポンス例

HTTP 200 OK ページネーション一覧オブジェクトを返します。
{
  "data": [
    {
      "id": "memstore_019e3bb8d50674d9b082b73709c29c87",
      "type": "memory_store",
      "name": "doc-test-store",
      "description": "テスト用",
      "status": "active",
      "entry_count": 0,
      "total_size": 0,
      "metadata": {},
      "created_at": "2026-05-18T15:33:49.449264Z",
      "updated_at": "2026-05-18T15:33:49.449264Z"
    }
  ],
  "first_id": "memstore_019e3bb8d50674d9b082b73709c29c87",
  "last_id": "memstore_019e3bb8d50674d9b082b73709c29c87",
  "has_more": false
}

レスポンスフィールド

フィールド説明
dataarrayMemoryStore オブジェクト配列
first_idstring現在ページ先頭レコード ID
last_idstring現在ページ末尾レコード ID
has_morebooleanさらにデータがあるかどうか

エラーレスポンス

HTTPtype説明
401TOKEN_INVALID認証トークンが提供されていないまたは無効

ページネーションの使い方

has_moretrue の場合、last_id を次回リクエストの after_id パラメータとして使用してデータ取得を継続します:
curl -X GET "https://openapi.qoder.sh/api/v1/cloud/memory_stores?limit=10&after_id=memstore_last_id" \
  -H "Authorization: Bearer $QODER_PAT"